% Mass motion calculation
% TO simplify we assume that the movement is made to the ouside of the
% bench folowwing the direction of one of the linse that connects the CoG
% with one of the blades tips (bisector of the triangle formed by the 3
% blades)

clear all;

%Data
fzz = 1.6520; % (Hz), Uncoupled natural frequency
mu = 36; % (kg), stage 1 plus "unsuspended" payload mass
Kzz = mu*(2*pi*fzz)^2/3; % (N/m), Spring stiffness
R = 0.2688831; % (m), Spring tip radius
l0 = R;%initial distance at which the optic was from the CoG
movement = 0.01; %distance that the mass is moved (m)
mop = 0.1; %mass of the optic that is moved (kg)


%Calculation
CoGdisp = mop*movement /(mu-mop)%displacement of the CoG due to the movement of the optic
down = mu*CoGdisp/(4*Kzz*R)*1000 %movement downwards the other two blades (up = 2*down)
up= down*2 %movement upwards in one of the blades
angleTilt = asin((up+down)/(3/2*R*1000))*180/pi %tilt angle in degree





